<?php

/**
 * OrangeHRM is a comprehensive Human Resource Management (HRM) System that captures
 * all the essential functionalities required for any enterprise.
 * Copyright (C) 2006 OrangeHRM Inc., http://www.orangehrm.com
 *
 * OrangeHRM is free software; you can redistribute it and/or modify it under the terms of
 * the GNU General Public License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * OrangeHRM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program;
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA
 */

/**
 * Class requestPasswordResetCodeAction
 */
class requestPasswordResetCodeAction extends basePasswordResetAction
{

    public function execute($request)
    {
        sfContext::getInstance()->getConfiguration()->loadHelpers('Url');

        $this->form = new RequestResetPasswordForm();
        $this->getContext()->getConfiguration()->loadHelpers(array('OrangeI18N'));

        if ($request->isMethod('post')) {
            $this->form->bind($request->getParameter('securityAuthentication'));

            if ($this->form->isValid()) {
                try {
                    $user = $this->getpasswordResetService()
                        ->searchForUserRecord($this->form->getValue('userName'));
                    $this->getUser()->setAttribute(
                        'email',
                        $user->getEmployee()->getEmpWorkEmail()
                    );
                    $this->getUser()->setAttribute('username', $user->getUserName());

                    $passwordResetService = new PasswordResetService();
                    try {
                        $passwordResetService->logPasswordResetRequest($user);
                        $this->redirect('auth/sendPasswordReset');
                    } catch (ServiceException $e) {
                        $this->getUser()->setFlash('warning', __($e->getMessage()));
                    }

                } catch (ServiceException $se) {
                    $this->getUser()->setFlash('warning', __($se->getMessage()), false);
                }
            }
        }
    }
}
